#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

layout (location = 0) in vec3 v_coord;		// == gl_Vertex

layout(std140) uniform GlobalMatrices
{
	mat4 modelviewprojMat;
	mat4 modelviewMat; 
};

uniform vec4 DrawColor;
out vec4 vDrawColor;

void main(void)
{
	vDrawColor=DrawColor;
	gl_Position = modelviewprojMat * vec4(v_coord, 1.0);
}
